<!--
 * @Description: 
 * @Author: TT
 * @Date: 2023-02-27 11:30:56
 * @LastEditTime: 2023-03-03 17:55:01
 * @LastEditors: TT
-->
<template>
  <div class="homeBox">
    <el-container>
      <el-header>
        <nav-menu></nav-menu>
      </el-header>
      <el-main>
        <router-view />
      </el-main>
    </el-container>
  </div>
</template>

<script lang="ts" setup>
import router from "@/router";
import { ref, onMounted, reactive, defineProps, defineEmits, watch } from "vue";
import { getToken } from "@/utils/auth";
import navMenu from "@/components/navMenu";
onMounted(() => {
  const token = getToken();
  if (!token) {
    router.push("/Login");
  }
});
</script>
<style lang="less" scoped>
.homeBox {
  width: 100%;
  height: 100%;
  .el-header {
    height: 60px;
    padding: 0px;
  }
  .el-main {
    height: calc(100% -60px);
    padding: 0px !important;
  }
}
</style>
